Package org.springframework.security.web.savedrequest

# Class SimpleSavedRequest

java.lang.Object
org.springframework.security.web.savedrequest.SimpleSavedRequest

All Implemented Interfaces:
  `Serializable`, `SavedRequest`

public class SimpleSavedRequest extends Object implements SavedRequest
A Bean implementation of SavedRequest

Since:
  5.1
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SimpleSavedRequest()`
`SimpleSavedRequest(String redirectUrl)`
`SimpleSavedRequest(SavedRequest request)`

## Method Summary

Modifier and Type
Method
Description
`List<jakarta.servlet.http.Cookie>`
`getCookies()`
`Collection<String>`
`getHeaderNames()`
`List<String>`
`getHeaderValues(String name)`
`List<Locale>`
`getLocales()`
`String`
`getMethod()`
`Map<String,String[]>`
`getParameterMap()`
`String[]`
`getParameterValues(String name)`
`String`
`getRedirectUrl()`
`void`
`setCookies(List<jakarta.servlet.http.Cookie> cookies)`
`void`
`setHeaders(Map<String,List<String>> headers)`
`void`
`setLocales(List<Locale> locales)`
`void`
`setMethod(String method)`
`void`
`setParameters(Map<String,String[]> parameters)`
`void`
`setRedirectUrl(String redirectUrl)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleSavedRequest

public SimpleSavedRequest()

### SimpleSavedRequest

public SimpleSavedRequest(String redirectUrl)

### SimpleSavedRequest

public SimpleSavedRequest(SavedRequest request)

## Method Details

### getRedirectUrl

public String getRedirectUrl()

Specified by:
  `getRedirectUrl` in interface `SavedRequest`
Returns:
  the URL for the saved request, allowing a redirect to be performed.

### getCookies

public List<jakarta.servlet.http.Cookie> getCookies()

Specified by:
  `getCookies` in interface `SavedRequest`

### getMethod

public String getMethod()

Specified by:
  `getMethod` in interface `SavedRequest`

### getHeaderValues

public List<String> getHeaderValues(String name)

Specified by:
  `getHeaderValues` in interface `SavedRequest`

### getHeaderNames

public Collection<String> getHeaderNames()

Specified by:
  `getHeaderNames` in interface `SavedRequest`

### getLocales

public List<Locale> getLocales()

Specified by:
  `getLocales` in interface `SavedRequest`

### getParameterValues

public String[] getParameterValues(String name)

Specified by:
  `getParameterValues` in interface `SavedRequest`

### getParameterMap

public Map<String,String[]> getParameterMap()

Specified by:
  `getParameterMap` in interface `SavedRequest`

### setRedirectUrl

public void setRedirectUrl(String redirectUrl)

### setCookies

public void setCookies(List<jakarta.servlet.http.Cookie> cookies)

### setMethod

public void setMethod(String method)

### setHeaders

public void setHeaders(Map<String,List<String>> headers)

### setLocales

public void setLocales(List<Locale> locales)

### setParameters

public void setParameters(Map<String,String[]> parameters)